PHP Fatal Error from RefreshLinksJob: Argument to runForTitle() must be Title
Closed, ResolvedPublic

Description

Error

Request ID: W9MhnwpAIC0AAAIYw1MAAAAB

message
PHP Fatal Error: Argument 1 passed to RefreshLinksJob::runForTitle() must be an instance of Title, null given

#0 /srv/mediawiki/php-1.33.0-wmf.1/includes/jobqueue/jobs/RefreshLinksJob.php(120): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.33.0-wmf.1/extensions/EventBus/includes/JobExecutor.php(65): RefreshLinksJob->run()
#2 /srv/mediawiki/rpc/RunSingleJob.php(67): JobExecutor->execute(array)
#3 {main}

server: jobrunner.discovery.wmnet
wiki: enwiki

Impact

Jobs are aborted. Unsure where the jobs come from or what the parameters were, in part because for fatal errors we don't currently collect that information (unlike for fatal "exceptions" that we catch at the executor layer).

Notes

First seen from 1.32.0-wmf.24. Still seen from 1.33.0-wmf.1 (234 failed jobs).

Krinkle created this task.Oct 27 2018, 8:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2018, 8:38 PM
Krinkle assigned this task to aaron.Nov 5 2018, 10:12 PM

Change 472043 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Improve handling of invalid titles in RefreshLinksJob

https://gerrit.wikimedia.org/r/472043

Change 472047 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.33.0-wmf.3] Improve handling of invalid titles in RefreshLinksJob

https://gerrit.wikimedia.org/r/472047

Change 472043 merged by jenkins-bot:
[mediawiki/core@master] Improve handling of invalid titles in RefreshLinksJob

https://gerrit.wikimedia.org/r/472043

Change 472047 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.3] Improve handling of invalid titles in RefreshLinksJob

https://gerrit.wikimedia.org/r/472047

Mentioned in SAL (#wikimedia-operations) [2018-11-07T21:03:59Z] <krinkle@deploy1001> Synchronized php-1.33.0-wmf.3/includes/jobqueue/jobs/RefreshLinksJob.php: T208147 -I7f5fafe9439d8a7b4 (duration: 00m 54s)

Krinkle closed this task as Resolved.Nov 7 2018, 9:06 PM
Krinkle removed a project: Patch-For-Review.